Summary: The Red Hat package management system.
Summary(ja): Red Hat pbP[W}l[WgVXe
Name: rpm
%define version 3.0.3
Version: %{version}
Vendor: OS/2 RPM project
URL:   http://www2s.biglobe.ne.jp/~vtgf3mpr/indxos2.htm
Release: 1.0
Group: System Environment/Base
Source: ftp://ftp.rpm.org/pub/rpm/dist/rpm-3.0.x/rpm-%{version}.tar.gz
Patch: rpm-%{version}-OS2.diff.gz
Copyright: GPL
Conflicts: patch < 2.5
BuildRequires: bzip2 >= 0.9.0c-2
Requires: bzip2 >= 0.9.0c-2
BuildRequires: python-devel >= 1.5.1
BuildRoot: /tmp/rpm-%{version}-root
Docdir: /emx/doc

%description
The Red Hat Package Manager (RPM) is a powerful command line driven
package management system capable of installing, uninstalling,
verifying, querying, and updating software packages.  Each software
package consists of an archive of files along with information about
the package like its version, a description, etc.

%description -l ja
The Red Hat Package Manager (RPM) ̓R}hCœ삷鋭͂
pbP[W}lWgVXełB\tgtFÃCXg[AA
CXg[AmFA₢킹AčXVł܂B\tgEFA
pbP[W͏ɉꂽt@CƃpbP[W̃o[We
Ă̏܂ł܂B


%package devel
Summary: Development files for applications which will manipulate RPM packages.
Group: Development/Libraries
Requires: popt
Requires: python >= 1.5.1


%description devel
This package contains the RPM C library and header files.  These
development files will simplify the process of writing programs
which manipulate RPM packages and databases and are intended to make
it easier to create graphical package managers or any other tools
that need an intimate knowledge of RPM packages in order to function.

This package should be installed if you want to develop programs that
will manipulate RPM packages and databases.

%prep
%setup -q
%patch -p1

%build
# CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
touch config.cache
touch config.status
config.status
cd popt
config.status
cd ..
make
%ifos linux
make -C python
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/emx/lib

mkdir -p $RPM_BUILD_ROOT/emx/src/redhat/SOURCES
mkdir -p $RPM_BUILD_ROOT/emx/src/redhat/SPECS
mkdir -p $RPM_BUILD_ROOT/emx/src/redhat/SRPMS
mkdir -p $RPM_BUILD_ROOT/emx/src/redhat/BUILD
mkdir -p $RPM_BUILD_ROOT/emx/src/redhat/RPMS/${RPM_ARCH}
mkdir -p $RPM_BUILD_ROOT/emx/src/redhat/RPMS/noarch

make prefix="$RPM_BUILD_ROOT"/emx install
%ifos linux
make DESTDIR="$RPM_BUILD_ROOT"/emx install -C python
%endif

{ cd $RPM_BUILD_ROOT
  emxbind -s ./emx/bin/rpm.exe
  emxbind -s ./emx/bin/rpm2cpio.exe
  emxbind -s ./emx/lib/rpm/rpmputtext.exe
  emxbind -s ./emx/lib/rpm/rpmgettext.exe
  cp rpm-%{version}-os2.spec ./emx/src/redhat/SPECS
}

%clean
rm -rf $RPM_BUILD_ROOT

%post
#/bin/rpm --initdb
#%ifos linux
#if [ ! -e /etc/rpm/macros -a -e /etc/rpmrc -a -f /usr/lib/rpm/convertrpmrc.sh ] 
#then
#	sh /usr/lib/rpm/convertrpmrc.sh 2>&1 > /dev/null
#fi
#%endif

%files
%defattr(-,root,root)
%doc RPM-PGP-KEY CHANGES GROUPS doc/manual/* *.os2
/emx/.rpmrc
/emx/.popt
/emx/.rpmmacros
/emx/bin/*
/emx/man/man8/rpm.8
/emx/man/man8/rpm2cpio.8
/emx/dll/rpm303.dll
/emx/lib/rpm/
%ifos linux
/usr/lib/python1.5/site-packages/rpmmodule.so
%endif
#/emx/lib/rpmrc
#/emx/lib/rpmpopt
%dir /emx/src/redhat
%dir /emx/src/redhat/BUILD
%dir /emx/src/redhat/SPECS
%dir /emx/src/redhat/SOURCES
%dir /emx/src/redhat/SRPMS
%dir /emx/src/redhat/RPMS
/emx/src/redhat/RPMS/*
/emx/share/locale/*/LC_MESSAGES/rpm.mo

%files devel
%defattr(-,root,root)
/emx/include/rpm
/emx/dll/rpm303.dll
/emx/lib/rpm303.a
/emx/lib/rpm303.lib
/emx/lib/librpm.a
/emx/lib/librpmbuild.a
